AddendumSectionUserDefinedBuilder Class

class NXOpen.Die.AddendumSectionUserDefinedBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Die.AddendumSectionUserDefinedBuilder builder used to select a previously defined section or a string of objects to define the section shape.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateAddendumSectionUserDefinedBuilder()

New in version NX7.5.0.

Properties

Property Description
ReverseAnchorPoint Returns or sets the indicator to reverse the anchor point.
Section Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateUserDefinedSection Creates user defined addendum section based upon input to NXOpen.Die.AddendumSectionUserDefinedBuilder.Section().
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

ReverseAnchorPoint

AddendumSectionUserDefinedBuilder.ReverseAnchorPoint

Returns or sets the indicator to reverse the anchor point.

The anchor point is initially the first point of the joined string of selected objects. This is used as the starting point for the section when it is placed on the tangency curve. It can be reversed to use the other end of the string as the starting point.

-------------------------------------

Getter Method

Signature ReverseAnchorPoint

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReverseAnchorPoint

Parameters:reverseAnchorPoint (bool) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”)

Section

AddendumSectionUserDefinedBuilder.Section

Returns the objects defining the section, either a previously defined section or a string of objects defining the section shape.

-------------------------------------

Getter Method

Signature Section

Returns:
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: None.

Method Detail

CreateUserDefinedSection

AddendumSectionUserDefinedBuilder.CreateUserDefinedSection

Creates user defined addendum section based upon input to NXOpen.Die.AddendumSectionUserDefinedBuilder.Section().

Signature CreateUserDefinedSection()

Returns:user defined section curve
Return type:NXOpen.Curve

New in version NX7.5.0.

License requirements: None.

Validate

AddendumSectionUserDefinedBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.